namespace Tutor_RT
{
    public class Camera
    {
        //x: this.ClientSize.Width u, y: this.ClientSize.Height u
        public V3 campos, cam_x, cam_y, cam_z;

        #region Constructors

        public Camera()
        {
            campos = new V3();           
            cam_x = new V3();
            cam_y = new V3();
            cam_z = new V3(0, 0, 1);
        }

        public Camera(V3 pos, V3 x_dir, V3 y_dir, V3 z_dir)
        {
            campos = pos;
            cam_x = x_dir;
            cam_y = y_dir;
            cam_z = z_dir;
        }

        public V3 getcampos    //access to A
        {
            get { return campos; }
        }

        public V3 getcam_z    //access to u
        {
            get { return cam_z; }
        }

        public V3 getcam_x    //access to u
        {
            get { return cam_x; }
        }

        public V3 getcam_y    //access to u
        {
            get { return cam_y; }
        }
        #endregion
    }
}
